계정 지불

GET https://qrcloud.online/api/payments/
curl --request GET \
--url 'https://qrcloud.online/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
매개 변수 세부 사항 설명
processor 선택사항 문자열 허용된 값: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status 선택사항 문자열 허용된 값: paid, pending, cancelled, refunded
type 선택사항 문자열 허용된 값: one_time, recurring
frequency 선택사항 문자열 허용된 값: monthly, quarterly, biannual, annual, lifetime
datetime_field 선택사항 문자열 허용된 값: datetime
datetime_start 선택사항 문자열 이 날짜 및 시간부터 결과를 필터링합니다. Y-m-d H:i:s 형식.
datetime_end 선택사항 문자열 이 날짜 및 시간까지 결과를 필터링합니다. Y-m-d H:i:s 형식.
order_by 선택사항 문자열 결과를 어떤 필드로 정렬할 지 지정합니다. 허용되는 값은: id, datetime, total_amount입니다.
order_type 선택사항 문자열 결과의 정렬 순서입니다. 허용된 값은: ASC는 오름차순 정렬, 그리고 DESC는 내림차순 정렬입니다.
page 선택사항 정수 원하는 결과가 있는 페이지 번호. 기본값은 1입니다.
results_per_page 선택사항 정수 한 페이지 당 원하는 결과 수는 몇 개입니까. 허용된 값은: 10, 25, 50, 100, 250, 500, 1000입니다. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-04-29 22:19:55",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://qrcloud.online/api/payments?page=1",
        "last": "https://qrcloud.online/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://qrcloud.online/api/payments?page=1"
    }
}
GET https://qrcloud.online/api/payments/{payment_id}
curl --request GET \
--url 'https://qrcloud.online/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-04-29 22:19:55",
    }
}